Author Topic: Check if drawing contains wipeouts  (Read 884 times)

0 Members and 1 Guest are viewing this topic.

w64bit

  • Newt
  • Posts: 78
Check if drawing contains wipeouts
« on: June 06, 2021, 07:49:55 AM »
I tried to check if a drawing contains wipeouts (model and layouts) but the code it's not working.
Code: [Select]
(if (setq selwi (ssget "X" '(list '(0 . "WIPEOUT"))))(alert "Drawing contains WIPEOUTS !"))
Am I missing something here?
« Last Edit: June 06, 2021, 08:51:16 AM by w64bit »

Crank

  • Water Moccasin
  • Posts: 1503
Re: Check if drawing contain wipeouts
« Reply #1 on: June 06, 2021, 07:58:06 AM »
Code: [Select]
(ssget "X" '(0 . "WIPEOUT"))
Vault Professional 2023     +     AEC Collection

w64bit

  • Newt
  • Posts: 78
Re: Check if drawing contains wipeouts
« Reply #2 on: June 06, 2021, 08:28:14 AM »
Another one. Not working.
Code: [Select]
(if (/= (setq selwi (ssget "X" '(0 . "WIPEOUT"))) null) (alert "Drawing contains WIPEOUTS !"))
« Last Edit: June 06, 2021, 08:51:30 AM by w64bit »

roy_043

  • Water Moccasin
  • Posts: 1895
  • BricsCAD 18
Re: Check if drawing contains wipeouts
« Reply #3 on: June 06, 2021, 09:22:52 AM »
Code: [Select]
(if (setq selwi (ssget "X" '((0 . "WIPEOUT"))))(alert "Drawing contains WIPEOUTS !"))

w64bit

  • Newt
  • Posts: 78
Re: Check if drawing contains wipeouts
« Reply #4 on: June 06, 2021, 09:52:57 AM »
Thank you all very much.